KCMAP_GET_PIXELS(3)

FUNCTION
kcmap_get_pixels - Get pixel values in a colourmap.

SYNOPSIS
#include <karma_kcmap.h>

unsigned int kcmap_get_pixels

(Kcolourmap cmap, unsigned long **pixel_values)

DESCRIPTION
This routine will determine the number of colourcells in a colourmap and the pixel values allocated.

cmap
    The colourmap object.

pixel_values
    A pointer to the array of pixel values will be written here. If this is NULL, nothing is written here. The pixel values may be modified if the colourmap is a software colourmap. If the pixel values are changed, the <-kcmap_notify_pixels_changed-> routine should be called.

RETURN VALUE
The number of colourcells allocated.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/